Bug 136214 - Segfault from fstab-sync
Summary: Segfault from fstab-sync
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-10-18 19:07 UTC by Michal Jaegermann
Modified: 2013-03-06 03:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-19 01:36:36 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2004-10-18 19:07:16 UTC
Description of problem:


Version-Release number of selected component (if applicable):
hal-0.4.0-3

How reproducible:
100%

Comment 1 Michal Jaegermann 2004-10-18 19:09:04 UTC
Oops!  Hit a wrong key.  This was supposed to be in a "Description":

# fstab-sync 
Usage:Segmentation fault

That seems to be a tad to self-critical. :-)

Comment 2 Michal Jaegermann 2004-10-18 19:13:19 UTC
Maybe this gives a bit better picture

# fstab-sync -v
5222: mount_root='/media'
5222: use_managed=1
5222: managed primary='managed'
5222: managed secondary='kudzu'
Usage: [OPTION...]
Segmentation fault

This is on x86_64, BTW.

Comment 3 David Zeuthen 2004-10-18 19:19:41 UTC
I can confirm this; it btw works when called out from hal or when
given the -h option so this should be another easy fix. Thanks.

Comment 4 David Zeuthen 2004-10-19 01:36:36 UTC
This should be fixed in hal-0.4.0-4. Thanks.


Note You need to log in before you can comment on or make changes to this bug.